Summary: gcc3 cross-devel for ppc64
Name: cross-gcc3-ppc64
Version: 3.0.4
Release: 0.rh
URL: http://gcc.gnu.org/
Source0: %{name}-%{version}.tar.gz
Patch0: gcc-20020408-ppc64.patch.gz
License: GPL
Group: Development/Languages
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: cross-binutils-ppc64
Prereq: cross-binutils-ppc64
ExclusiveArch: ppc ppc64

%description
gcc 3.0.x cross-development compiler for the ppc64 kernel

%prep
%setup -q
%patch -p1

%build
./configure \
	--host=powerpc-linux \
	--target=powerpc64-linux \
	--enable-languages=c \
	--disable-nls \
	--disable-shared

if [ -z "$RPM_BUILD_NCPUS" ] ; then
  if [ -x /usr/bin/getconf ] ; then
    RPM_BUILD_NCPUS=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $RPM_BUILD_NCPUS -eq 0 ]; then
      RPM_BUILD_NCPUS=1
    fi
  else
    RPM_BUILD_NCPUS=1
  fi
fi

make -j$RPM_BUILD_NCPUS

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr/local install
rm -rf $RPM_BUILD_ROOT/usr/local/info $RPM_BUILD_ROOT/usr/local/man
rm -f $RPM_BUILD_ROOT/usr/local/lib/libiberty.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/local

%changelog
* Fri Apr 19 2002 Guy Streeter <streeter@redhat.com>
- Initial build.
